<?php
include '../../INCLUDE/MySQL_include_param_dbb.php';
include '../../INCLUDE/MySQL_include_sprog_commun_shell.php';
setlocale (LC_ALL, 'fr_FR.UTF-8');
try {
 // == Connexion de la base de données ==
 $bdd = new PDO($TYPE_DBB.":host=".$SERVEUR.";dbname=".$BASEDD,$LOGIN_ADM,
   $MDP_ADM, array(PDO::ATTR_PERSISTENT => true));
 // -- Définition du codage en UTF8 --
 $bdd->exec("SET CHARACTER SET utf8");     
 // -- Affichage de toute la table des personnes -- 
 affichage_table($bdd,"Liste des personnes","personnes");
 // -- Saisie d'une liste de personnes --
 $saisie="saisie non vide";
 echo PHP_EOL;
 echo "----------------------------------".PHP_EOL;
 echo "-- Suppression d'une personne ---".PHP_EOL;
 echo "----------------------------------".PHP_EOL;
 $tab_critere=choix_critere();
 if (count($tab_critere) != 0)
 {  $critere          = $tab_critere[0];
    $valeur_recherche = $tab_critere[1];
    // -- recherche sur critère --           
    $tab_personnes_trouvees=Recherche_sur_critere($bdd,'personnes',$critere,$valeur_recherche);
    // -- Traitement du tableau retourné --
    if (count($tab_personnes_trouvees) == 0)
      echo "Aucune personne trouvée avec ce critère".PHP_EOL;
    else
    { affichage_liste_personnes("Liste des personnes trouvées",$tab_personnes_trouvees);
      echo PHP_EOL;
      unset($numero);
      echo "Sélectionnez le numéro (ID) de la personne à supprimer : ";
      fscanf(STDIN,"%d", $numero);
      if ( (empty($numero))||(!array_key_exists($numero,$tab_personnes_trouvees)) )
        echo "Aucune sélection".PHP_EOL;
      else
      { unset($tab_une_personne);
        $tab_une_personne[]=$tab_personnes_trouvees[$numero];
        affichage_liste_personnes("Personne à supprimer",$tab_une_personne);
        echo "Confirmez la suppression (o/n) : ";
        fscanf(STDIN,"%s",$reponse);
        if ($reponse == "o")
        {// -- Exécution de la requête --
         $requete='DELETE FROM personnes WHERE ID='.$numero;
         echo $requete.PHP_EOL;
         $reponse = $bdd->exec($requete);
         if (!$reponse){
          throw new Exception('Problème de requête sur la table.'.PHP_EOL);
         }
        }
        else echo "Aucune donnée supprimée".PHP_EOL;
      }
    }
 }
 // -- Affichage de toute la table des personnes -- 
 affichage_table($bdd,"Liste des personnes","personnes");
}
catch(Exception $e) {echo 'Erreur : '.$e->getMessage();}
?>
